Initiates a request for authorization of a Connected App to access a User’s account. Call this endpoint using the query parameters from an OAuth Authorization request. This endpoint validates various fields (scope, client_id, redirect_uri, prompt, etc.) are correct and returns relevant information for rendering an OAuth Consent Screen.
We recommend configuring a Custom Domain whenever possible. This ensures the issuer on authorization responses matches the advertised issuer.
Parameters
string
required
The ID of the Connected App client.
string
required
The callback URI used to redirect the user after authentication. This is the same URI provided at the start of the OAuth flow. This field is required when using the authorization_code grant.
string
required
The OAuth 2.0 response type. For authorization code flows this value is code.
array[strings]
required
An array of scopes requested by the client.
string
Space separated list that specifies how the Authorization Server should prompt the user for reauthentication and consent. Only consent is supported today.
Response
string
The unique ID of the affected User.
object
The user object affected by this API call. See the User object for complete response field details.
Show properties
string
The timestamp of the User’s creation. Values conform to the RFC 3339 standard and are expressed in UTC, e.g. 2021-12-29T12:33:09Z.
array[objects]
An array contains a list of all crypto wallets for a given User in the Stytch API.
Show properties
string
The unique ID for a crypto wallet
string
The actual blockchain address of the User’s crypto wallet.
string
The blockchain that the User’s crypto wallet operates on, e.g. Ethereum, Solana, etc.
boolean
If this method has been successfully authenticated by the User.
array[objects]
An array of email objects for the User.
Show properties
string
The unique ID of a specific email address.
string
The email address.
boolean
If this method has been successfully authenticated by the User.
object
The name of the User. Each field in the name object is optional.
Show properties
string
The first name of the user.
string
The middle name(s) of the user.
string
The last name of the user.
object
The trusted_metadata field contains an arbitrary JSON object of application-specific data. See the Metadata reference for complete field behavior details.
object
The untrusted_metadata field contains an arbitrary JSON object of application-specific data. Untrusted metadata can be edited by end users directly via the SDK, and cannot be used to store critical information. See the Metadata reference for complete field behavior details.
array[objects]
An array of phone number objects linked to the User.
Show properties
string
The unique ID for the phone number.
string
The phone number.
boolean
If this method has been successfully authenticated by the User.
array[objects]
An array of OAuth provider objects linked to the User.
Show properties
string
The unique ID for an OAuth registration.
string
The unique identifier for the User within a given OAuth provider. Also commonly called the “sub” or “Subject field” in OAuth protocols.
string
Denotes the OAuth identity provider that the user has authenticated with, e.g. Google, Facebook, GitHub etc.
string
If available, the profile_picture_url is a url of the User’s profile picture set in OAuth identity the provider that the User has authenticated with, e.g. Facebook profile picture.
string
If available, the locale is the User’s locale set in the OAuth identity provider that the user has authenticated with.
object
The password object is returned for users with a password.
Show properties
string
The unique ID of a specific password
boolean
Indicates whether this password requires a password reset
string
The status of the User. The possible values are pending and active.
array[objects]
An array containing a list of all TOTP instances for a given User in the Stytch API.
Show properties
string
The unique ID for a TOTP instance.
boolean
If this method has been successfully authenticated by the User.
string
The unique ID of the affected User.
array[objects]
An array that contains a list of all Passkey or WebAuthn registrations for a given User in the Stytch API.
Show properties
string
The unique ID for the Passkey or WebAuthn registration.
string
The domain on which Passkey or WebAuthn registration was started. This will be the domain of your app.
string
The user agent of the User.
string
The authenticator_type string displays the requested authenticator type of the Passkey or WebAuthn device. The two valid types are “platform” and “cross-platform”. If no value is present, the Passkey or WebAuthn device was created without an authenticator type preference.
boolean
If this method has been successfully authenticated by the User.
string
The name of the Passkey or WebAuthn registration.
array[objects]
An array that contains a list of all biometric registrations for a given User in the Stytch API.
Show properties
string
The unique ID for a biometric registration.
boolean
If this method has been successfully authenticated by the User.
array[strings]
Roles assigned to this User. See the RBAC guide for more information about role assignment.
object
The Connected App affected by this operation. Only a subset of fields safe for public viewing are returned.
Show properties
string
The ID of the Connected App client.
string
A human-readable name for the client.
string
A human-readable description for the client.
string
The type of Connected App. Supported values are first_party, first_party_public, third_party, and third_party_public.
string
The logo URL of the Connected App, if any.
boolean
Whether the user must provide explicit consent for the authorization request.
array[object]
Details about each requested scope.
Show properties
string
The name of the scope.
string
A human-readable description of the scope, taken from the RBAC Policy.
boolean
Indicates whether the scope can be granted. Users can only grant scopes if they have the required permissions.
string
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we
may ask for this value to help identify a specific API call when helping you debug an issue.
number
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values
equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.
Assistant
Responses are generated using AI and may contain mistakes.